Bug 128130 - UI: shortcuts missing for sections Options and Source and Destination in dialog Pivot Table Layout
Summary: UI: shortcuts missing for sections Options and Source and Destination in dial...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.4.0 target:6.3.4
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-14 04:27 UTC by Cor Nouws
Modified: 2019-10-23 17:33 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
simple pivot table (16.84 KB, application/vnd.oasis.opendocument.spreadsheet)
2019-10-14 04:27 UTC, Cor Nouws
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2019-10-14 04:27:55 UTC
Created attachment 154982 [details]
simple pivot table

Context menu of Pivot Table
Choose Properties
Alt
  >> no shortcuts for sections Options and Source and Destination 
  

Version: 6.4.0.0.alpha0+
Build ID: d6ea967e040d01ec69649ac689472018e477db34
CPU threads: 4; OS: Linux 5.0; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-10-12_14:50:24
Locale: nl-NL (nl_NL.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 m.a.riosv 2019-10-15 00:31:19 UTC
Hi Cor with
Version: 6.4.0.0.alpha0+ (x64)
Build ID: d744838991594eebe27acc4c7d9fb4579d654853
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-09-29_05:12:00
Locale: es-ES (es_ES); UI-Language: en-US Calc: threaded

I have it for Options.
But there are no shortcut for Source and Destination:
- Selection
- New sheet
Comment 2 Xisco Faulí 2019-10-23 11:30:05 UTC
@Caolán, I thought you might be interested in this issue...
Comment 3 Commit Notification 2019-10-23 16:52:24 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d63e57798c669878b2fd5d2536ebad9d237183ea

Resolves: tdf#128130 enable mnemonics in pivot table expanders

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2019-10-23 16:52:39 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/0b45c1ec6a5ba6c31a3f40495e29390ad07c73e0

Resolves: tdf#128130 enable mnemonics in pivot table expanders

It will be available in 6.3.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.